Subject: Re: bug#47115: Failure building grub-img.png when reconfiguring

From: Jack Hill <[email-masked]>
Date: Sun, 14 Mar 2021 19:18:22 -0400 (EDT)

On Sun, 14 Mar 2021, Mark H Weaver wrote:

> (1) You must *delete* the "older" system generations and user profiles
>    e.g. by running "guix system delete-generations" and "guix package
>    --delete-generations", or else "guix gc" won't clear them from your
>    store.  It is not enough to merely switch to an older system
>    generation and profiles.
>
> (2) You'll also need to actually reboot into the older system
>    generation, because /run/booted-system will continue to protect
>    (from GC) the system that you last booted into, even after you
>    switch systems.
>
> Did you do those things before running "guix gc"?

Oops, I left out those details. Yes, I did both those things.

> I'm sorry that you've hit this nasty bug.

Thanks. For me, being the only one that can reproduce or experience a 
problem can be a frustrating and lonely experience, so really appreciate 
the time you and Leo have spent looking at it.

Best,
Jack